// pages/hotuser/hotuser.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    cat:[],
    list:[],
    total:0,
    page:1,
    date:'',
    cur:'win'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    $api.getBaikeCategory().then(res=>{
      this.setData({
        cat:res.data.data[0].children,
        cur:res.data.data[0].children[0].id
      })
      this.getData()
    })
    
  },
  tab(e){
    this.setData({
      cur:e.target.dataset.id,
      list:[],
      page:1
    })
    this.getData()
},
  getData:function(){
    wx.showNavigationBarLoading()
    var list = this.data.list
    $api.getBaike({category_id:this.data.cur,page:this.data.page,page_size:20}).then(res=>{
      wx.hideNavigationBarLoading()
      res.data.data.list.forEach(item => {
        list.push(item)
      })
      this.setData({
        list: list,
        total: res.data.data.total
      })
    })
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})